growdash:
  restart: always
  links:
    - appdb
    - redis
    - rabbitmq
  environment:
    - DEV
    - FACILITY_NAME
    - FACILITY_ID
    - CERES
    - DEMO
    - ENVIRONMENT
    - REMOTE_DOMAIN
    - VERSION
    - SHORT_NAME

    - SET_POINT_ALARM_TOLERANCE_PERCENTAGE
    - BURNOUT_PROTECTION_DELAY

    - DB_HOSTNAME
    - MYSQL_ROOT_PASSWORD
    - MYSQL_DATABASE
    - MYSQL_TEST_DATABASE
    - MYSQL_USER
    - MYSQL_PASSWORD

    - REDIS_HOSTNAME
    - RABBIT_HOST
    - RABBIT_PORT
    - RABBIT_USER
    - RABBIT_PASS
    - INFLUX_HOST
    - INFLUX_PORT
    
    - SMTP_HOST
    - SMTP_USER
    - SMTP_PASS
    - AWS_ACCESS_KEY_ID
    - AWS_SECRET_ACCESS_KEY
    - RESTIC_REPOSITORY
    - RESTIC_PASSWORD

    - INFISENSE_API_KEY
    - XDEBUG_MODE
    
  image: grownetics/growdash:${VERSION}
  volumes:
    - ./html:/var/www/html
    - ./tmp:/tmp

deviceapi:
  restart: always
  links:
    - appdb
    - redis
    - rabbitmq
  environment:
    - DEV
    - FACILITY_NAME
    - FACILITY_ID
    - CERES
    - ENVIRONMENT
    - REMOTE_DOMAIN
    - VERSION
    - SHORT_NAME

    - SET_POINT_ALARM_TOLERANCE_PERCENTAGE
    - BURNOUT_PROTECTION_DELAY

    - DB_HOSTNAME
    - MYSQL_ROOT_PASSWORD
    - MYSQL_DATABASE
    - MYSQL_TEST_DATABASE
    - MYSQL_USER
    - MYSQL_PASSWORD

    - REDIS_HOSTNAME
    - RABBIT_HOST
    - RABBIT_PORT
    - RABBIT_USER
    - RABBIT_PASS
    - INFLUX_HOST
    - INFLUX_PORT
  image: grownetics/growdash:${VERSION}
  volumes:
    - ./html:/var/www/html:cached
    - ./tmp:/tmp:cached

nginx:
  image: grownetics/nginx:latest
  volumes:
    - ./html:/var/www/html
    - ./html/images/nginx/:/var/www/templates
    - ./html/images/nginx/conf.d/growdash.dashonly.conf:/etc/nginx/conf.d/default.conf
  restart: always
  links:
    - growdash
    - deviceapi
  ports:
    - "80:80"
    - "81:81"

appdb:
  image: mariadb #:10.3
  restart: always
  command: mysqld --sql_mode=""
  environment:
    - MYSQL_ROOT_PASSWORD
    - MYSQL_DATABASE
    - MYSQL_TEST_DATABASE
    - MYSQL_USER
    - MYSQL_PASSWORD
  volumes:
    - ./data/appdb:/var/lib/mysql
  ports:
    - "3306:3306"

redis:
  image: redis
  restart: always

growsocket:
  image: grownetics/socketio:latest
  restart: always
  ports:
    - "8989:8989"
  volumes:
    - ./html/images/socketio/socket.js:/srv/socket.js
  links:
    - rabbitmq
    - nginx
  labels:
    io.rancher.container.pull_image: always
    io.rancher.scheduler.affinity:host_label_ne: onsite=true

rabbitmq:
  image: rabbitmq:3.6-management-alpine
  restart: always
  environment:
    # - RABBITMQ_DEFAULT_USER:RABBIT_USER
    - RABBITMQ_DEFAULT_USER=rabbit
    # - RABBITMQ_DEFAULT_PASS:RABBIT_PASS
    - RABBITMQ_DEFAULT_PASS=rabbit
  ports:
    - "15672:15672"
    - "5672:5672"